# Method: notes.get

- [HTTP request](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/get#body.request_body)
- [Response body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/get#body.aspect)

Gets a note.

### HTTP request

`GET https://keep.googleapis.com/v1/{name=notes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Note`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/keep`
- `https://www.googleapis.com/auth/keep.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).